//
// card.h
//
// This file contains code for the Microchip PIC16F877 (Silver Card) for CCS PCM
//
// Written by Joe Grand, 2009
// See http://www.grandideastudio.com/portfolio/smart-parking-meters/
//

#ifndef __INC_H__
#define __INC_H__

#include <16F877.h>

#define SIO	PIN_B7

#use delay(clock=3600000) // using CLK provided by parking meter
#use rs232(baud=9600, bits=8, parity=E, xmit=SIO, rcv=SIO, FORCE_SW)

// Configuration Bits:
// Oscillator = EXTERNAL CRYSTAL/RESONATOR < 4MHz
// Watchdog Timer (WDT) = DISABLED
// Power Up Timer (PWRT) = DISABLED
// Brown-Out Detect (BOR) = DISABLED
// Low Voltage Program = DISABLED
// Data EE Read Protect = DISABLED
// Code Protect = DISABLED
#fuses XT, NOWDT, NOPUT, NOBROWNOUT, NOLVP, NOPROTECT, NOCPD

// FUNCTION PROTOTYPES 
void atr(void);
void manufacturer(void);
void issuer_area(void);
void current_value(void);
void deposit_coin(void);

#endif
